Extending Qt Creator Manual | ConvertToObject

Extending Qt Creator Manual 4.5.2

# ConvertToObject Class

(QmlJS::ConvertToObject)

Inherits: | QmlJS::ValueVisitor (protected)

- List of all members, including inherited members

## Public Functions

| ConvertToObject(ValueOwner *valueOwner)
const Value * | operator()(const Value *value)

- 11 public functions inherited from QmlJS::ValueVisitor

## Protected Functions

const Value * | switchResult(const Value *value)

## Reimplemented Protected Functions

virtual void | visit(const NullValue *) override
virtual void | visit(const UndefinedValue *) override
virtual void | visit(const NumberValue *) override
virtual void | visit(const BooleanValue *) override
virtual void | visit(const StringValue *) override
virtual void | visit(const ObjectValue *) override
virtual void | visit(const FunctionValue *) override

## Member Function Documentation

### ConvertToObject::ConvertToObject(ValueOwner *valueOwner)

Default constructs an instance of ConvertToObject.

### `[protected]` const Value *ConvertToObject::switchResult(const Value *value)

### `[override virtual protected]` void ConvertToObject::visit(const NullValue *)

### `[override virtual protected]` void ConvertToObject::visit(const UndefinedValue *)

### `[override virtual protected]` void ConvertToObject::visit(const NumberValue *)

### `[override virtual protected]` void ConvertToObject::visit(const BooleanValue *)

### `[override virtual protected]` void ConvertToObject::visit(const StringValue *)

### `[override virtual protected]` void ConvertToObject::visit(const ObjectValue *)

### `[override virtual protected]` void ConvertToObject::visit(const FunctionValue *)

### const Value *ConvertToObject::operator()(const Value *value)